DaemonForums  

Go Back   DaemonForums > NetBSD > NetBSD Package System (pkgsrc)

NetBSD Package System (pkgsrc) Installation and upgrading of packages on NetBSD.

 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
  #1   (View Single Post)  
Old 23rd August 2011
Brainfsck Brainfsck is offline
New User
 
Join Date: Aug 2011
Location: Germany
Posts: 8
Thanked 0 Times in 0 Posts
Default problem building fluxbox on NetBSD 5.1 with modular X.org

Hi everyone,

I'm relatively new to BSD in general (have tried out Free and NetBSD in the past) but am familiar with Gentoo GNU/Linux, and I'm new to the forums.

So, on to my problem:
I want to build fluxbox whilst using a modular X.org but get the following error when I try:

Code:
(0/0) schweers@kallari /usr/pkgsrc/wm/fluxbox % sudo make
Password:
=> Bootstrap dependency digest>=20010302: found digest-20080510
===> Skipping vulnerability checks.
WARNING: No /var/db/pkg/pkg-vulnerabilities file found.
WARNING: To fix run: `/usr/pkg/sbin/pkg_admin -K /var/db/pkg fetch-pkg-vulnerabilities'.
=> Checksum SHA1 OK for fluxbox-1.1.1.tar.bz2
=> Checksum RMD160 OK for fluxbox-1.1.1.tar.bz2
===> Installing dependencies for fluxbox-1.1.1nb6
==========================================================================
The supported build options for fluxbox are:

        gnome imlib2 kde xft xrender

The currently selected options are:

        xrender

You can select which build options to use by setting PKG_DEFAULT_OPTIONS
or the following variable.  Its current value is shown:

        PKG_OPTIONS.fluxbox (not defined)

==========================================================================
=> Build dependency libtool-base>=2.2.6bnb3: found libtool-base-2.2.6bnb5
=> Build dependency gmake>=3.81: found gmake-3.82nb2
=> Build dependency x11-links>=0.65: NOT found
=> Verifying package-install for ../../pkgtools/x11-links
ERROR: This package has set PKG_FAIL_REASON:
ERROR: x11-links-0.65 should only be used with X11_TYPE=native.
ERROR: Do not include x11.buildlink3.mk for X11_TYPE != "native".
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/pkgtools/x11-links
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/wm/fluxbox
btw: as a fallback I built openbox which works fine.
Does anyone have an idea what's wrong?
just in case, here's my uname:
Code:
(1/0) schweers@kallari /usr/pkgsrc/wm/fluxbox % uname -a
NetBSD kallari 5.1 NetBSD 5.1 (GENERIC) #2: Tue Aug 23 16:52:48 CEST 2011  root@kallari:/usr/obj/sys/arch/amd64/compile/GENERIC amd64
Reply With Quote
 

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
netbsd 5.0.2 and modular xorg jaideep_jdof NetBSD Package System (pkgsrc) 2 21st April 2010 06:18 AM
OBSD 4.6 Installed - Problem building Kernel for -current IronForge OpenBSD Installation and Upgrading 11 10th November 2009 09:34 PM
Problem Building Openoffice-3 Alphalutra1 FreeBSD Ports and Packages 1 1st May 2009 04:22 AM
Fluxbox + Firefox = UTF8 title problem.. DNAeon FreeBSD Ports and Packages 7 10th December 2008 08:52 AM
Fluxbox fbsetbg problem rex FreeBSD General 6 12th September 2008 05:18 PM


All times are GMT. The time now is 03:12 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick